Type inconsistent error in quantization example

#1

Hello, I run the resnet50_v1 example in https://github.com/apache/incubator-mxnet/tree/master/example/quantization.
When I run (# Launch INT8 Inference)
python imagenet_inference.py --symbol-file=./model/resnet50_v1-quantized-5batches-naive-symbol.json --param-file=./model/resnet50_v1-quantized-0000.params --rgb-mean=123.68,116.779,103.939 --rgb-std=58.393,57.12,57.375 --num-skipped-batches=50 --batch-size=64 --num-inference-batches=500 --dataset=./data/val_256_q90.rec --ctx=cpu --data-nthreads=1,
I got the error as follows:

Traceback (most recent call last):
File “/Users/qun.luo/Library/Python/3.7/lib/python/site-packages/mxnet/symbol/symbol.py”, line 1523, in simple_bind
ctypes.byref(exe_handle)))
File “/Users/qun.luo/Library/Python/3.7/lib/python/site-packages/mxnet/base.py”, line 252, in check_call
raise MXNetError(py_str(_LIB.MXGetLastError()))
mxnet.base.MXNetError: Error in operator quantized_resnetv10_dense0_fwd: Type inconsistent, Provided = uint8, inferred type = int8

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “imagenet_inference.py”, line 270, in
max_num_examples=num_inference_images, logger=logger)
File “imagenet_inference.py”, line 79, in score
label_shapes=data.provide_label)
File “/Users/qun.luo/Library/Python/3.7/lib/python/site-packages/mxnet/module/module.py”, line 429, in bind
state_names=self._state_names)
File “/Users/qun.luo/Library/Python/3.7/lib/python/site-packages/mxnet/module/executor_group.py”, line 279, in init
self.bind_exec(data_shapes, label_shapes, shared_group)
File “/Users/qun.luo/Library/Python/3.7/lib/python/site-packages/mxnet/module/executor_group.py”, line 375, in bind_exec
shared_group))
File “/Users/qun.luo/Library/Python/3.7/lib/python/site-packages/mxnet/module/executor_group.py”, line 662, in _bind_ith_exec
shared_buffer=shared_data_arrays, **input_shapes)
File “/Users/qun.luo/Library/Python/3.7/lib/python/site-packages/mxnet/symbol/symbol.py”, line 1529, in simple_bind
raise RuntimeError(error_msg)
RuntimeError: simple_bind error. Arguments:
data: (64, 3, 224, 224)
softmax_label: (64,)
Error in operator quantized_resnetv10_dense0_fwd: Type inconsistent, Provided = uint8, inferred type = int8